#!/usr/bin/python
#
# XML-RPC server for gnuviech-admin tool
# (c) 2006 Jan Dittberner
# $Id$
#
from DocXMLRPCServer import DocXMLRPCServer
from GnuviechAdmin import ServiceFacade

def startRPCServer():
  server = DocXMLRPCServer(("localhost", 8080))
  server.register_introspection_functions()
  server.register_instance(ServiceFacade())

  try:
    server.serve_forever()
  except KeyboardInterrupt:
    server.server_close()

if __name__ == "__main__":
  startRPCServer()
